Task # 1782 (Closed): CN Replication components should be separated for scalability

Integrate replication queues and maps into Hazelcast processing cluster

2011-09-11 21:12 - Chris Jones

Status: Closed Start date: 2011-09-11

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version:    

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

The ReplicationService class was previously only connecting to a single Hazelcast cluster.  It is now defined as ReplicationManager,

and will connect to the storage cluster initiated by Metacat as a HazelcastClient and to the processing cluster initiated by the batch

daemon as a HazelcastInstance cluster member.  The queues and maps defined in "this configuration file":

https://repository.dataone.org/software/cicore/trunk/cn/d1_replication/src/main/resources/hazelcast.xml should be integrated into the

default configuration file for the processing cluster.

Specifically, add the hzReplicationTasks queue, the hzReplicationTasksMap map (that backs the queue), and the

hzPendingReplicationTasks map. The hzSystemMetadata map will be added to the Metacat storage cluster, so it doesn't need to be

transferred.

History

#1 - 2011-09-11 21:12 - Chris Jones

- Subject changed from Integrate replication queus and maps into Hazelcast processing cluster to Integrate replication queues and maps into

Hazelcast processing cluster

#2 - 2011-09-28 19:22 - Robert Waltz

- Status changed from New to Closed
